---
title: ServiceWorkerContainer.onerror
slug: Web/API/ServiceWorkerContainer/onerror
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Service Workers
  - ServiceWorker
  - ServiceWorkerContainer
  - onerror
---
<p>{{APIRef("Service Workers API")}}{{ SeeCompatTable() }}</p>

<p>The <strong><code>onerror</code></strong> property of the {{domxref("ServiceWorkerContainer")}} interface is an event handler fired whenever an {{Event("error")}} event occurs in the associated service workers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>serviceWorkerContainer</em>.onerror = function(<em>errorevent</em>) { ... }</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.serviceWorker.onerror = function(errorevent) {
  console.log(`received error message: ${errorevent.message}`);
}
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorkerContainer.onerror")}}</p>
</div>
